[Davical-general] DaviCAL php warnings after server upgrade

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Davical-general] DaviCAL php warnings after server upgrade

Bobby Krupczak
Hi!

I just finished upgrading my underlying webserver OS, apache, and
postgres.

I moved the version of davical, awl, and my database over to the new
system and it appears to be working.

Php is now 5.4.16.

I'm seeing these php warnings, now, in the apache log each time
someone hits their calendar:

PHP Notice:  Undefined index: modified in /usr/share/davical/inc/drivers_ldap.php on line 372

PHP Notice:  Undefined index: modified in /usr/share/davical/inc/drivers_ldap.php on line 363

If I go look at drivers_ldap.php in my install, its:

  $ldap_timestamp = $valid[$mapping['modified']];

  $valid[$mapping['modified']] = "$Y-$m-$d $H:$M:$S";

Tracing through the code, the logic is looks like its setting modified
if 'updated' field is set.  I'm wondering if there is some entry that
does not set either and thus the warning.

Does anyone have a fix for this?  I googled around and did not see
this in the archives nor source code.

Thanks,

Bobby

------------------------------------------------------------------------------

_______________________________________________
Davical-general mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/davical-general

attachment0 (836 bytes) Download Attachment